import { AlpacaConfigPayload, UserPayload } from './apiPayloads';

export interface User extends UserPayload {
  id: number;
  first_name: string;
  last_name: string;
  username: string;
  email: string;
  google_id: string;
  google_profile_pic: string;
  created: Date;
  updated: Date;
}

export interface Stock {
  user_id: number;
  ticker: string;
  created: Date;
  updated: Date;
}

export interface AlpacaConfig extends AlpacaConfigPayload {
  id?: number;
  user_id?: number;
}
